Bug 1015521 - Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG instead of DM_UDEV_DISABLE_DISK_RULES_FLAG in 65-md-incremental.rules
Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG instead of DM_UDEV_DISABLE_DISK_RU...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 08:40 EDT by Peter Rajnoha
Modified: 2014-08-14 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: mdadm-3.3-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015514
Environment:
Last Closed: 2014-08-14 22:51:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Rajnoha 2013-10-04 08:40:08 EDT
(...the same for rawhide)

+++ This bug was initially created as a clone of Bug #1015514 +++

There's DM_UDEV_DISABLE_DISK_RULES_FLAG used in /lib/udev/rules.d/65-md-incremental.rules to avoid scanning of inappropriate device-mapper devices. Though this flag should be used only in 13-dm-disk.rules (so this flag is for internal device-mapper's use as these rules belong to device-mapper).

Any external rules should check for DM_UDEV_DISABLE_OTHER_RULES_FLAG for proper coordination with device-mapper devices. Please, see attached patch.
Comment 1 Jes Sorensen 2013-10-07 05:18:51 EDT
Needed for f20+
Comment 2 Fedora Update System 2013-10-09 11:07:54 EDT
mdadm-3.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mdadm-3.3-3.fc20
Comment 3 Fedora Update System 2013-10-10 10:38:20 EDT
Package mdadm-3.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18709/mdadm-3.3-3.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-07-29 06:54:28 EDT
mdadm-3.3-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mdadm-3.3-7.fc20
Comment 5 Fedora Update System 2014-08-14 22:51:08 EDT
mdadm-3.3-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.